Bug 170021 - invalid rule 'dd-id/$env{ID_EDD}-part%n"'
Summary: invalid rule 'dd-id/$env{ID_EDD}-part%n"'
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-06 16:22 UTC by Brian Millett
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 14:39:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Millett 2005-10-06 16:22:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050915 Fedora/1.5-0.5.0.beta1 Firefox/1.4

Description of problem:
When I insert a usb flash stick I have to manually mount it.  When I do, I get the following messages in /var/log/messages:

Oct  6 11:11:47 localhost kernel: Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
Oct  6 11:11:47 localhost udev[4151]: add_to_rules: invalid rule  -id/$env{ID_EDD}"'
Oct  6 11:11:47 localhost udev[4151]: add_to_rules: invalid rule 'dd-id/$env{ID_EDD}-part%n"'
Oct  6 11:11:47 localhost udev[4152]: add_to_rules: invalid rule '-id/$env{ID_EDD}"'
Oct  6 11:11:47 localhost udev[4152]: add_to_rules: invalid rule 'dd-id/$env{ID_EDD}-part%n"'
Oct  6 11:11:47 localhost udev[4172]: add_to_rules: invalid rule '-id/$env{ID_EDD}"'
Oct  6 11:11:47 localhost udev[4172]: add_to_rules: invalid rule 'dd-id/$env{ID_EDD}-part%n"'
Oct  6 11:11:48 localhost fstab-sync[4184]: added mount point /media/usbdisk for /dev/sda1
Oct  6 11:13:48 localhost udev[4212]: add_to_rules: invalid rule '-id/$env{ID_EDD}"'
Oct  6 11:13:48 localhost udev[4212]: add_to_rules: invalid rule 'dd-id/$env{ID_EDD}-part%n"'
Oct  6 11:13:48 localhost udev[4214]: add_to_rules: invalid rule '-id/$env{ID_EDD}"'
Oct  6 11:13:48 localhost udev[4214]: add_to_rules: invalid rule 'dd-id/$env{ID_EDD}-part%n"'
Oct  6 11:13:48 localhost udevd[683]: get_netlink_msg: no ACTION in payload found, skip event 'mount'


Version-Release number of selected component (if applicable):
udev-069-7

How reproducible:
Always

Steps to Reproduce:
1. Well, be at teh current rawhide updates.
2. insert usbdisk
3. mount /media/usbdisk
4. read messages in /var/log/messages
  

Actual Results:  the trace is above.

Expected Results:  Not an error of an invalid rule for udev.

Additional info:

Comment 1 Harald Hoyer 2005-10-07 14:39:58 UTC
oops, damn c&p bug, new version in rawhide..

Comment 2 Brian Millett 2005-10-07 15:32:44 UTC
Thank you.

Comment 3 Harald Hoyer 2005-10-10 07:10:57 UTC
will be appearing today..


Note You need to log in before you can comment on or make changes to this bug.